---
title: Muse Video 이미지-동영상 | RunAPI
description: 텍스트 프롬프트로 단일 소스 이미지를 영상으로 애니메이션화합니다.
url: https://runapi.ai/ko/docs/api/muse-video/image-to-video.md
canonical: https://runapi.ai/ko/docs/api/muse-video/image-to-video
locale: ko
---

> HTML 버전: https://runapi.ai/ko/docs/api/muse-video/image-to-video
> 에이전트용 사이트 색인: https://runapi.ai/llms.txt

# Muse Video 이미지-동영상

## 개요

지원되는 모델로 이미지를 비디오로 변환하는 엔드포인트를 사용하세요. 반환된 Task ID로 상태를 조회하거나, 아래에 문서화된 전달을 위해 callback_url을 제공하세요.

### 빠른 시작

1. API 키를 만들고 RUNAPI_API_KEY로 설정합니다.
2. 지원되는 모델을 선택하고 해당 모델의 스키마와 일치하는 본문으로 POST 요청을 전송합니다.
3. 반환된 작업 ID를 저장한 후, 터미널 상태가 될 때까지 폴링하거나 아래에 문서화된 콜백을 처리하세요.

## 엔드포인트

POST /api/v1/muse_video/image_to_video

Base URL: https://runapi.ai

API 버전: v1

인증: Authorization: Bearer YOUR_API_TOKEN

## 지원 모델

현재 가격, 속도 제한 및 상업적 이용 세부 정보는 모델 페이지를 여십시오.

- [Muse Video](https://runapi.ai/ko/models/muse-video)

## 요청 스키마

필드와 허용 값은 선택된 모델에 따라 다릅니다. 제공된 경우 callback_url은 아래에 문서화된 Task 전달을 수신합니다.

### muse-video-v1

```json
{
  "aspect_ratio": {
    "default": "16:9",
    "description": "생성 프롬프트에 표현되는 요청 출력 종횡비입니다.",
    "enum": [
      "16:9",
      "9:16",
      "1:1",
      "4:3",
      "3:4"
    ],
    "type": "string"
  },
  "callback_url": {
    "description": "터미널 작업 결과에 대한RunAPI고객 콜백 URL입니다.",
    "type": "string"
  },
  "image_url": {
    "description": "단일 원본 이미지의 HTTP(S) URL입니다.",
    "required": true,
    "type": "string"
  },
  "model": {
    "description": "Muse Video 모델 식별자입니다.",
    "required": true,
    "type": "string"
  },
  "prompt": {
    "description": "동영상 설명은 최대 20,000자입니다.",
    "length": true,
    "max": 20000,
    "min": 1,
    "required": true,
    "type": "string"
  }
}
```

## 수락 만들기

HTTP 202 - POST /api/v1/muse_video/image_to_video

### 응답 스키마

```json
{
  "properties": {
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    },
    "task_replayed": {
      "type": "boolean"
    }
  },
  "required": [
    "id",
    "status"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## 폴링 처리 중

HTTP 200 - GET /api/v1/muse_video/image_to_video/:id

### 응답 스키마

```json
{
  "properties": {
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## 폴링 완료

HTTP 200 - GET /api/v1/muse_video/image_to_video/:id

### 응답 스키마

```json
{
  "properties": {
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    },
    "usage": {
      "properties": {
        "cost": {
          "type": "number"
        }
      },
      "required": [
        "cost"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "videos": {
      "items": {
        "properties": {
          "url": {
            "type": "string",
            "x-runapi-generated-media": true
          }
        },
        "required": [
          "url"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    }
  },
  "required": [
    "id",
    "status",
    "videos",
    "usage"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "id": "tsk_reference_demo",
  "status": "completed",
  "usage": {
    "cost": 0.05
  },
  "videos": [
    {
      "url": "https://file.runapi.ai/reference-video.mp4"
    }
  ]
}
```

## 폴링 실패

HTTP 200 - GET /api/v1/muse_video/image_to_video/:id

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Task processing failed.",
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## 고객 콜백: 완료됨

HTTP 200 - POST callback_url

### 응답 스키마

```json
{
  "properties": {
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    },
    "usage": {
      "properties": {
        "cost": {
          "type": "number"
        }
      },
      "required": [
        "cost"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "videos": {
      "items": {
        "properties": {
          "url": {
            "type": "string",
            "x-runapi-generated-media": true
          }
        },
        "required": [
          "url"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    }
  },
  "required": [
    "id",
    "status",
    "videos",
    "usage"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "id": "tsk_reference_demo",
  "status": "completed",
  "usage": {
    "cost": 0.05
  },
  "videos": [
    {
      "url": "https://file.runapi.ai/reference-video.mp4"
    }
  ]
}
```

## 고객 콜백: 실패함

HTTP 200 - POST callback_url

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "oneOf": [
        {
          "type": "string"
        },
        {
          "properties": {
            "code": {
              "type": "string"
            },
            "limit_cents": {
              "type": "integer"
            },
            "message": {
              "type": "string"
            },
            "reset_at": {
              "format": "date-time",
              "type": [
                "string",
                "null"
              ]
            },
            "used_cents": {
              "type": "integer"
            },
            "window": {
              "enum": [
                "1h",
                "1d",
                "7d",
                "daily",
                "weekly",
                "monthly",
                "lifetime"
              ],
              "type": "string"
            }
          },
          "required": [
            "code",
            "message"
          ],
          "type": "object",
          "unevaluatedProperties": false
        }
      ]
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": {
    "code": "generation_failed",
    "message": "Task processing failed."
  },
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## 오류

HTTP 401 - POST /api/v1/muse_video/image_to_video

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Authentication required"
}
```

## 오류

HTTP 401 - GET /api/v1/muse_video/image_to_video/:id

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Authentication required"
}
```

## 오류

HTTP 400 - POST /api/v1/muse_video/image_to_video

### 응답 스키마

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "사람이 읽을 수 있는 오류 메시지.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "사람이 읽을 수 있는 유효성 검사 요약입니다.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "공개 요청 필드를 키로 하는 유효성 검사 메시지로, 각 필드에 대해 사람이 읽을 수 있는 문자열 배열이 포함됩니다.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### 응답 예시

```json
{
  "error": "model must be one of: muse-video-v1"
}
```

## 오류

HTTP 402 - POST /api/v1/muse_video/image_to_video

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Insufficient balance"
}
```

## 오류

HTTP 429 - POST /api/v1/muse_video/image_to_video

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "API key credit limit exceeded"
}
```

## 오류

HTTP 409 - POST /api/v1/muse_video/image_to_video

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "The request uses features that are not supported for the selected model"
}
```

## 오류

HTTP 429 - POST /api/v1/muse_video/image_to_video

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Rate limit reached. Please retry later."
}
```

## 오류

HTTP 503 - POST /api/v1/muse_video/image_to_video

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Service under maintenance, please try again later"
}
```

## 오류

HTTP 504 - POST /api/v1/muse_video/image_to_video

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "The request timed out"
}
```

## 오류

HTTP 404 - GET /api/v1/muse_video/image_to_video/:id

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Task with id 'tsk_reference_demo' not found"
}
```

## 생성된 코드 샘플

cURL을 직접 사용하거나 해당 언어의 SDK를 설치하세요. 각 샘플은 이 레퍼런스에
표시된 유효성 검사된 요청을 제출합니다.

### curl

```curl
curl -X POST https://runapi.ai/api/v1/muse_video/image_to_video \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"model":"muse-video-v1","prompt":"A kite lifts from a quiet field.","image_url":"https://cdn.runapi.ai/public/samples/image.jpg","aspect_ratio":"16:9"}'
```

### javascript

#### 설치

```bash
npm install @runapi.ai/muse-video
```

```javascript
import { MuseVideoClient } from "@runapi.ai/muse-video";

const client = new MuseVideoClient({ apiKey: process.env.RUNAPI_API_KEY });
const task = await client.imageToVideo.create({
  "model": "muse-video-v1",
  "prompt": "A kite lifts from a quiet field.",
  "image_url": "https://cdn.runapi.ai/public/samples/image.jpg",
  "aspect_ratio": "16:9"
});
```

### python

#### 설치

```bash
pip install runapi-muse-video
```

```python
import os
from runapi.muse_video import MuseVideoClient

client = MuseVideoClient(api_key=os.environ["RUNAPI_API_KEY"])
task = client.image_to_video.create(
  model="muse-video-v1",
  prompt="A kite lifts from a quiet field.",
  image_url="https://cdn.runapi.ai/public/samples/image.jpg",
  aspect_ratio="16:9"
)
```

### go

#### 설치

```bash
go get github.com/runapi-ai/muse-video-sdk/go@latest
```

```go
package main

import (
  "context"
  "log"
  "os"

  "github.com/runapi-ai/core-sdk/go/option"
  musevideo "github.com/runapi-ai/muse-video-sdk/go/musevideo"
)

func main() {
  client, err := musevideo.NewClient(option.WithAPIKey(os.Getenv("RUNAPI_API_KEY")))
  if err != nil {
    log.Fatal(err)
  }

  task, err := client.ImageToVideo.Create(context.Background(), musevideo.ImageToVideoParams{
    Model: musevideo.Model("muse-video-v1"),
    Prompt: "A kite lifts from a quiet field.",
    ImageURL: "https://cdn.runapi.ai/public/samples/image.jpg",
    AspectRatio: "16:9",
  })
  if err != nil {
    log.Fatal(err)
  }
  _ = task
}
```

### ruby

#### 설치

```bash
gem install runapi-muse-video
```

```ruby
require "runapi/muse_video"

client = RunApi::MuseVideo::Client.new(api_key: ENV.fetch("RUNAPI_API_KEY"))
task = client.image_to_video.create(
  model: "muse-video-v1",
  prompt: "A kite lifts from a quiet field.",
  image_url: "https://cdn.runapi.ai/public/samples/image.jpg",
  aspect_ratio: "16:9"
)
```

### java

#### 설치

```kotlin
implementation("ai.runapi:runapi-muse-video")
```

```java
import ai.runapi.musevideo.MuseVideoClient;
import ai.runapi.musevideo.types.ImageToVideoParams;
import ai.runapi.core.polling.TaskCreateResponse;

public final class Example {
  public static void main(String[] args) {
    MuseVideoClient client = MuseVideoClient.builder()
        .apiKey(System.getenv("RUNAPI_API_KEY"))
        .build();
    TaskCreateResponse task = client.imageToVideo().create(
        ImageToVideoParams.builder()
        .model("muse-video-v1")
        .prompt("A kite lifts from a quiet field.")
        .imageUrl("https://cdn.runapi.ai/public/samples/image.jpg")
        .aspectRatio("16:9")
            .build()
    );
  }
}
```

### php

#### 설치

```bash
composer require runapi-ai/muse-video
```

```php
<?php

require __DIR__ . '/vendor/autoload.php';

use RunApi\Core\ClientOptions;
use RunApi\MuseVideo\MuseVideoClient;

$client = new MuseVideoClient(new ClientOptions(apiKey: getenv('RUNAPI_API_KEY')));
$task = $client->imageToVideo->create([
  "model" => "muse-video-v1",
  "prompt" => "A kite lifts from a quiet field.",
  "image_url" => "https://cdn.runapi.ai/public/samples/image.jpg",
  "aspect_ratio" => "16:9"
]);
```

## 관련 가이드

- [인증](https://runapi.ai/ko/docs/guides/authentication.md)
- [빠른 시작](https://runapi.ai/ko/docs/guides/task-api/quickstart.md)

---

## RunAPI의 더 많은 정보

- [홈](https://runapi.ai/ko/.md)
- [모델 카탈로그](https://runapi.ai/ko/models.md)
- [요금](https://runapi.ai/ko/pricing.md)
- [제공사](https://runapi.ai/ko/models)
- [문서](https://runapi.ai/ko/docs/guides)
- [SDK](https://runapi.ai/ko/sdk.md)
- [CLI](https://runapi.ai/ko/cli.md)
- [MCP Server](https://runapi.ai/ko/mcp.md)
- [x402](https://runapi.ai/ko/x402.md)
- [Claude Code와 Cursor](https://runapi.ai/ko/claude-code-vs-cursor.md)
- [Cursor API 설정](https://runapi.ai/ko/cursor-api-setup.md)
- [RunAPI와 OpenRouter 비교](https://runapi.ai/ko/openrouter-alternative.md)
- [엔터프라이즈](https://runapi.ai/ko/contact.md)
- [문의](https://runapi.ai/ko/contact.md)
- [약관](https://runapi.ai/ko/terms.md)
- [개인정보](https://runapi.ai/ko/privacy.md)
- [에이전트용 사이트 색인](https://runapi.ai/llms.txt)

문의: contact@runapi.ai

## 구조화된 데이터

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/ko",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/ko/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/ko",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/koicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "TechArticle",
    "headline": "Muse Video 이미지-동영상",
    "description": "텍스트 프롬프트로 단일 소스 이미지를 영상으로 애니메이션화합니다.",
    "url": "https://runapi.ai/ko/docs/api/muse-video/image-to-video",
    "mainEntityOfPage": "https://runapi.ai/ko/docs/api/muse-video/image-to-video"
  }
]
```
